<!--
Copyright (C) 2020,2021  CismonX <admin@cismon.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty, provided the copyright notice and
this notice are preserved. This file is offered as-is, without any warranty.
-->

# ctlseqs

[![Build Status](https://shields.io/drone/build/CismonX/ctlseqs?server=https%3A%2F%2Fdrone.cismon.net)](https://drone.cismon.net/CismonX/ctlseqs)
[![License](https://img.shields.io/badge/license-GPL--3.0--or--later-blue.svg)](COPYING)
[![Savannah](https://img.shields.io/badge/hosted_on-Savannah-pink)](https://sv.gnu.org/p/ctlseqs)

## About

The ctlseqs library provides C API for handling ECMA-35/ECMA-48 compatible control functions,
which is commonly used for communication between terminal emulators and text-based programs.

## Getting Started

For installation instructions, see [INSTALL.md](INSTALL.md).

Documentation of the library can be read [online](https://nongnu.org/ctlseqs/manual), or read with `info ctlseqs` after installation.
Unix man pages are also available.
